Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Series2VInfo

    java.lang.Object
      jet.report.xls.SeriesInfo
          jet.report.xls.Series2VInfo

Direct Known Subclasses:
  Series3VInfo

    public class Series2VInfo

extends SeriesInfo

The 2v series used for some chart type, such as the scatter chart.

Constructor Summary
`Series2VInfo()` Creates a blank 2v series info and then sets its parameters.
`Series2VInfo(int num, java.lang.String name, java.lang.String text, java.lang.String valueRef, java.lang.String valueRef1, SeriesPattern[] seriesPatterns)` Constructs a `Series2VInfo` object with these parameters:
`Series2VInfo(java.lang.String text, double[] values, double[] values1, SeriesPattern[] seriesPatterns)` Constructs a `Series2VInfo` object with these parameters:

Method Summary
`java.lang.String` | `getValueRef1()` Gets the x refer value.
`double[]` | `getValues1()` Gets the y values.
`void` | `setValueRef1(java.lang.String valueRef1)` Sets the x value with the refer value format, such as "sheet!a1:a6".
`void` | `setValues1(double[] values1)` Sets the y values used in the series.

Methods inherited from class jet.report.xls.SeriesInfo
`getName, getNum, getSeriesPatterns, getText, getValueRef, getValues, setName, setNum, setSeriesPatterns, setText, setValueRef, setValues`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Series2VInfo

    public Series2VInfo()

  Creates a blank 2v series info and then sets its parameters.

### Series2VInfo

    public Series2VInfo(int num,
                        java.lang.String name,
                        java.lang.String text,
                        java.lang.String valueRef,
                        java.lang.String valueRef1,
                        SeriesPattern[] seriesPatterns)

  Constructs a `Series2VInfo` object with these parameters:

  Parameters:
    `num` - number of the value in this series
    `name` - name of the series
    `text` - text of the series
    `valueRef` - x value of the series
    `valueRef1` - y value of the series

### Series2VInfo

    public Series2VInfo(java.lang.String text,
                        double[] values,
                        double[] values1,
                        SeriesPattern[] seriesPatterns)

  Constructs a `Series2VInfo` object with these parameters:

  Parameters:
    `text` - text of the series
    `values` - values of the series
    `values1` - y values of the series
    `seriesPatterns` - series pattern array

Method Detail

### setValueRef1

    public void setValueRef1(java.lang.String valueRef1)

  Sets the x value with the refer value format, such as "sheet!a1:a6".

  Parameters:
    `valueRef1` - the refer value

### getValueRef1

    public java.lang.String getValueRef1()

  Gets the x refer value.

  Returns:
    x refer value

### setValues1

    public void setValues1(double[] values1)

  Sets the y values used in the series.

  Parameters:
    `values1` - the y values

### getValues1

    public double[] getValues1()

  Gets the y values.

  Returns:
    y values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD